-- Need to run:
--   runtime! plugin/rplugin.vim
--   UpdateRemotePlugins
-- on command prompt to set up

return {
  {
    "gelguy/wilder.nvim",
    --    dependencies = {
      --      { "Gerodote/fzy-lua-native_updated_gitignore_repaired_makefile", build = "make", lazy = false },
      --      { "nixprime/cpsm", dependencies = { "ctrlpvim/ctrlp.vim", lazy = false }, lazy = false, build = "bash ./install.sh" },
      --    },
      config = function(_)
        local wilder = require('wilder')
        wilder.setup({modes = {':', '/', '?'}})
        wilder.python_search_pipeline({
          pattern = wilder.python_fuzzy_pattern({
            start_at_boundary = 0,
          }),
        })
      end;
      build = function()
        vim.cmd([[
        let &rtp=&rtp
        ]]
      )
      vim.api.nvim_command "runtime! plugin/rplugin.vim"
      vim.api.nvim_command "UpdateRemotePlugins" -- should this be :Update... ?
    end,
  },
}
